h42530
s 00072/00000/00000
d D 1.1 83/01/20 11:09:48 tes 1 0
c date and time created 83/01/20 11:09:48 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine cpeatt (page)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Put current pie chart attributes (for pie edit menu)   #
#               into the data buffer for data display                  #
#                                                                      #
#     Input Parameters:                                                #
#            page - (integer) page of menu to get attributes from      #
#                                                                      #
#     Output Parameters:                                               #
#            none                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qputa - put alpha data to memory                          #
#            qputd - put decimal data to memory                        #
#            qputi - put integer data to memory                        #
#                                                                      #
########################################################################
integer page

integer i, item, k, j, start, end

include(`gphcom')

   call qputa (1, bptitl)     # current pie chart title
   call qputa (2, bpsitl)     # current pie chart subtitle
    
   start = 1
   end = 8
   if (page == 2) {
      start = 9
      end = 16
      }

   k = (start-1)*2 + 1             # initialize pointers
   j = (start-1)*19 + 1
   item = 3

   call putnum (item, start, end)

   do i = start,end {             
      call qputa (item, bplabl(j)) # current slice labels (eight at time)
      j = j + 19
      item = item + 16
      call qputa (item, bpexfg(k)) # current explode flags 
      k = k + 2
      item = item + 8
      call qputi (item, bpslcl(i))     # current slice color
      item = item + 8
      call qputi (item, bpslfl(i))     # current slice fill pattern 
      item = item - 31
      }

   item = 11
   j = (start-1)*5 + 1
   for (i=start; i<=bpddef; i=i+1) {   # bpddef = number of data values
      if (i > end) break         
      call qputd (item, bpdata(j)) # current slice values
      j = j + 5
      item = item + 1
      }

return
end
E 1
